#include <stdio.h>
#include <stdlib.h>
#include <algorithm>

using namespace std;

int partitions(double *a,double* p,int donji,int gornji)
{
    double pivot=p[gornji];
    int i=donji;
    for (int j=donji;j<=gornji;j++)
    {
        if (p[j]>pivot)
        {
            double c=a[i];
            a[i]=a[j];
            a[j]=c;
            c=p[i];
            p[i]=p[j];
            p[j]=c;
            i++;
        }
    }
    double c=a[i];
    a[i]=a[gornji];
    a[gornji]=c;
    c=p[i];
    p[i]=p[gornji];
    p[gornji]=c;
    return i;
}

void quicksort(double* a,double* p,int donji,int gornji)
{
    if (donji < gornji)
    {
        int s=partitions(a,p,donji,gornji);
        quicksort(a,p,donji,s-1);
        quicksort(a, p, s + 1, gornji);
    }
}

int main()
{
    int n;
    scanf("%d",&n);
    double *a=(double*)malloc(n*sizeof(double));
    double *p=(double*)malloc(n*sizeof(double));
    double *d=(double*)malloc(n*sizeof(double));
    for (int i=0;i<n;i++)
        scanf("%lf%lf",&*(a+i),&*(p+i));
    quicksort(a,p,0,n-1);
    double suma=a[0],maxi=a[0]*p[0]/100;
    for (int i=1;i<n;i++)
    {
        suma+=a[i];
        double d=(suma*p[i])/100;
        if (d>maxi) maxi=d;
    }
    printf("%lf",maxi);
}